### Method

# Gtk SpinButtonconfigure

#### Declaration [src]

    void
    gtk_spin_button_configure (
      GtkSpinButton* spin_button,
      GtkAdjustment* adjustment,
      double climb_rate,
      guint digits
    )

#### Description [src]

Changes the properties of an existing spin button.

The adjustment, climb rate, and number of decimal places are updated accordingly.

#### Parameters

`adjustment`

  Type: `GtkAdjustment`

  A `GtkAdjustment` to replace the spin button’s existing adjustment, or `NULL` to leave its current adjustment unchanged.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`climb_rate`

  Type: `double`

  The new climb rate.

`digits`

  Type: `guint`

  The number of decimal places to display in the spin button.